/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "`$INSTANCE_NAME`_DitheredPWM.h"

uint8 `$INSTANCE_NAME`_PRSDensity;
uint8 `$INSTANCE_NAME`_PWMDuty;
uint8 `$INSTANCE_NAME`_PWMPeriod;


void `$INSTANCE_NAME`_Start()
{
    /* Start PWM component */
    `$INSTANCE_NAME`_PWM_Start();
    
    /* Start Prism Component */
    `$INSTANCE_NAME`_PrISM_Start();
    
}   


void `$INSTANCE_NAME`_Stop()
{
     /* Stop PWM component */
    `$INSTANCE_NAME`_PWM_Stop();
    
    /* Stop Prism Component */
    `$INSTANCE_NAME`_PrISM_Stop();
}


void `$INSTANCE_NAME`_SetPeriod(uint8 Period)
{
    `$INSTANCE_NAME`_PWM_WritePeriod(Period);
    `$INSTANCE_NAME`_PWMPeriod=Period;
    
}


void `$INSTANCE_NAME`_SetDuty(uint16 `$INSTANCE_NAME`_Duty)
{
    
    if((`$INSTANCE_NAME`_Duty>>8) < `$INSTANCE_NAME`_PWMPeriod)
    {
        `$INSTANCE_NAME`_PWMDuty = `$INSTANCE_NAME`_Duty>>8;
            
        `$INSTANCE_NAME`_PWM_WriteCompare1(`$INSTANCE_NAME`_PWMDuty);
        `$INSTANCE_NAME`_PWM_WriteCompare2(`$INSTANCE_NAME`_PWMDuty+1);
            
        `$INSTANCE_NAME`_PRSDensity=(`$INSTANCE_NAME`_Duty & 0xFF);
            
        `$INSTANCE_NAME`_PrISM_WritePulse0(`$INSTANCE_NAME`_PRSDensity);
    }
}

    
/* [] END OF FILE */
