/*******************************************************************************
* File Name: `$INSTANCE_NAME`.h
* Version `$CY_MAJOR_VERSION`.`$CY_MINOR_VERSION`
*
* Description:
*  This header file contains definitions associated with the Thermistor component.
*
* Note: none
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
********************************************************************************/
#if !defined(`$INSTANCE_NAME`_H) 
#define `$INSTANCE_NAME`_H

#include "cytypes.h"
#include "cylib.h"
#include "cyfitter.h"

/**************************************
* Parameter Defaults    
* Parameters and Co-efficients (or LUT) obtained from the customizer
**************************************/
#define `$INSTANCE_NAME`_Ref_Res               `$ReferenceResistor`
#define `$INSTANCE_NAME`_IMPL 				   `$Implementation_Equation`
#define `$INSTANCE_NAME`_Accuracy              `$Accuracy`
#define `$INSTANCE_NAME`_MIN_TEMP              `$MIN_TEMP`
`$CalculateCoeffValue`

/***************************************
*        Function Prototypes 
***************************************/
int32 `$INSTANCE_NAME`_GetTemperature(int32 Vref, int32 VT);

#endif /* CY_`$INSTANCE_NAME`_H */										



//[] END OF FILE
